<!-- views/registration.njk -->
<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Client Management Registration</title>
    <link rel="stylesheet" href="../app/css/govuk-frontend.min.css" />
    <link rel="stylesheet" href="../app/css/sra.css" />
    <script src="../app/js/jquery.min.js"></script>
    <style></style>
  </head>
  <body class="govuk-template__body">
    {% from 'components/button/macro.njk' import govukButton %} 

    <header class="govuk-header" data-module="govuk-header">
      <div class="govuk-header__container govuk-width-container">
        <div class="govuk-header__logo">
          <a href="/" class="govuk-header__link govuk-header__link--homepage">
            <span class="govuk-header__logotype">
              <span class="govuk-header__logotype-text">Client Management Registration</span>
            </span>
          </a>
        </div>
      </div>
    </header>

    <div class="govuk-width-container">
      <main class="govuk-main-wrapper" id="main-content">
        {% if errors %}
      <div class="govuk-error-summary" aria-labelledby="error-summary-title" role="alert" tabindex="-1">
        <h2 class="govuk-error-summary__title" id="error-summary-title">
          There is a problem
        </h2>
        <div class="govuk-error-summary__body">
          <ul class="govuk-list govuk-error-summary__list">
            {% for field, error in errors %}
            <li>
              <a href="#{{ field }}">{{ error }}</a>
            </li>
            {% endfor %}
          </ul>
        </div>
      </div>
      {% endif %}

        <form action="/submit" method="post"

        <!-- full name -->
        <div class="form-group-horizontal govuk-form-group">
          <label class="govuk-label" for="fullName">
            {{ t('registration:fullName.label') }}
          </label>
          <input class="govuk-input" id="fullName" name="fullName" value='{{fullName}}' disabled />
          <div class="accordion">
            <div class="accordion-header" onclick="toggleAccordion(this)">
              {{ t('registration:hint') }}
            </div>
            <div class="accordion-content">
              {{ t('registration:fullName.help') }}
            </div>
          </div>
        </div>

        <!-- your email address -->
        <div class="form-group-horizontal govuk-form-group">
          <label class="govuk-label" for="yourEmailAddress">
            {{ t('registration:yourEmailAddress.label') }}
          </label>
          <input
            value="{{yourEmail}}"
            class="govuk-input"
            id="yourEmailAddress"
            name="yourEmailAddress"
            disabled
          />
          <div class="accordion">
            <div class="accordion-header" onclick="toggleAccordion(this)">
              {{ t('registration:hint') }}
            </div>
            <div class="accordion-content">
              {{ t('registration:yourEmailAddress.help') }}
            </div>
          </div>
        </div>

        <!-- team email address -->
        <div class="form-group-horizontal govuk-form-group {% if errors.teamEmailAddress%}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="teamEmailAddress">
              {{ t('registration:teamEmailAddress.label') }}
            </label>
          {% if errors.teamEmailAddress%}
          <span id="teamEmailAddress-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.teamEmailAddress}}
            <input
              class="govuk-input govuk-input--error"
              id="teamEmailAddress"
              name="teamEmailAddress"
              type="text"
              value="{{teamEmailAddress}}"
              >
          </span>
          {% else %}
            <input 
              class="govuk-input"
              id="teamEmailAddress"
              name="teamEmailAddress"
              type="text"
              value="{{teamEmailAddress}}"
            >
          {% endif %}
          <div class="accordion">
              <div class="accordion-header" onclick="toggleAccordion(this)">
                {{ t('registration:hint') }}
              </div>
              <div class="accordion-content">
                {{ t('registration:teamEmailAddress.help.line-1') }}<br>
                {{ t('registration:teamEmailAddress.help.line-2') }}<br>
                {{ t('registration:teamEmailAddress.help.line-3') }}
              </div>
            </div>
        </div>

        <!-- line manager email address -->
        <div class="form-group-horizontal govuk-form-group {% if errors.lineManagerEmailAddress%}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="lineManagerEmailAddress">
              {{ t('registration:lineManagerEmailAddress.label') }}
            </label>
          {% if errors.lineManagerEmailAddress%}
          <span id="lineManagerEmailAddress-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.lineManagerEmailAddress}}
            <input
              class="govuk-input govuk-input--error"
              id="lineManagerEmailAddress"
              name="lineManagerEmailAddress"
              type="text"
              value="{{lineManagerEmailAddress}}"
              >
          </span>
          {% else %}
            <input 
              class="govuk-input"
              id="lineManagerEmailAddress"
              name="lineManagerEmailAddress"
              type="text"
              value="{{lineManagerEmailAddress}}"
            >
          {% endif %}
          <div class="accordion">
              <div class="accordion-header" onclick="toggleAccordion(this)">
                {{ t('registration:hint') }}
              </div>
              <div class="accordion-content">
                {{ t('registration:lineManagerEmailAddress.help.line-1') }}<br>
                {{ t('registration:lineManagerEmailAddress.help.line-2') }}
              </div>
            </div>
        </div>

        <!-- your team's slack channel -->
        <div class="form-group-horizontal govuk-form-group {% if errors.slackChannel %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="slackChannel">
              {{ t('registration:teamSlackChannel.label') }}
            </label>
          {% if errors.slackChannel %}
          <span id="slackChannel-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.slackChannel }}
            <input
              class="govuk-input govuk-input--error"
              id="slackChannel"
              name="slackChannel"
              type="text"
              value="{{slackChannel}}"
              >
          </span>
          {% else %}
            <input 
              class="govuk-input"
              id="slackChannel"
              name="slackChannel"
              type="text"
              value="{{slackChannel}}"
            >
          {% endif %}
          <div class="accordion">
              <div class="accordion-header" onclick="toggleAccordion(this)">
                {{ t('registration:hint') }}
              </div>
              <div class="accordion-content">
                {{ t('registration:teamSlackChannel.help.line-1') }}<br>
                {{ t('registration:teamSlackChannel.help.line-2') }}
              </div>
            </div>
        </div>

        <!-- dwp service name -->
        <div class="form-group-horizontal govuk-form-group {% if errors.dwpServiceName %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="dwpServiceName">
              {{ t('registration:dwpServiceName.label') }}
              
            </label>
          {% if errors.dwpServiceName %}
          <span id="dwpServiceName-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.dwpServiceName }}
            <input
              class="govuk-input govuk-input--error"
              id="dwpServiceName"
              name="dwpServiceName"
              type="text"
              value="{{dwpServiceName}}"
              >
          </span>
          {% else %}
            <input 
              class="govuk-input"
              id="dwpServiceName"
              name="dwpServiceName"
              type="text"
              value="{{dwpServiceName}}"
            >
          {% endif %}
          <div class="accordion">
              <div class="accordion-header" onclick="toggleAccordion(this)">
                {{ t('registration:hint') }}
              </div>
              <div class="accordion-content">
                {{ t('registration:dwpServiceName.help') }}
              </div>
            </div>
        </div>

        <!-- clientId -->
        <div class="form-group-horizontal govuk-form-group {% if errors.clientId %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="clientId">
              {{ t('registration:clientId.label') }}
            </label>
          {% if errors.clientId %}
          <span id="clientId-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.clientId }}
            <input
              <input
              class="web-input"
              id="clientId"
              name="clientId"
              size="11"
              value="{{clientId}}"
            >
            <p class="web-para">-WEB</p>
          </span>
          {% else %}
            <input
              class="web-input"
              id="clientId"
              name="clientId"
              size="11"
              value="{{clientId}}"
            >
            <p class="web-para">-WEB</p>
          {% endif %}
          <div class="accordion">
              <div class="accordion-header" onclick="toggleAccordion(this)">
                {{ t('registration:hint') }}
              </div>
              <div class="accordion-content">
                {{ t('registration:clientId.help.line-1') }}<br />
                {{ t('registration:clientId.help.line-2') }}<br />
                {{ t('registration:clientId.help.line-3') }}
              </div>
            </div>
        </div>

        <!-- client secret expiry time -->
        <div class="form-group-horizontal govuk-form-group {% if errors.clientSecretExpiryTime %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="clientSecretExpiryTime">
              {{ t('registration:clientSecretExpiryTime.label') }}
            </label>
          {% if errors.clientSecretExpiryTime %}
          <span id="clientSecretExpiryTime-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.clientSecretExpiryTime }}
            <input
              class="govuk-input govuk-input--error"
              id="clientSecretExpiryTime"
              name="clientSecretExpiryTime"
              type="date"
              value="{{clientSecretExpiryTime}}"
            >
          </span>
          {% else %}
            <input 
              class="govuk-input"
              id="clientSecretExpiryTime"
              name="clientSecretExpiryTime"
              type="date"
              value="{{clientSecretExpiryTime}}"
            >
          {% endif %}
        </div>

        <!-- certificate's distinguished name -->
        <div class="form-group-horizontal govuk-form-group {% if errors.distinguishedName %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="distinguishedName">
              {{ t('registration:distinguishedName.label') }}
            </label>
          {% if errors.distinguishedName %}
          <span id="distinguishedName-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.distinguishedName }}
            <input
              class="govuk-input govuk-input--error"
              id="distinguishedName"
              name="distinguishedName"
              type="text"
              value="{{distinguishedName}}"
              >
          </span>
          {% else %}
            <input 
              class="govuk-input"
              id="distinguishedName"
              name="distinguishedName"
              type="text"
              value="{{distinguishedName}}">
          {% endif %}
        </div>

        <!-- redirect url -->
        <div class="form-group-horizontal govuk-form-group {% if errors.redirectUrl %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="redirectUrl">
              {{ t('registration:redirectUrl.label') }}
              <div id="redirectUrl-hint" class="sra-hint">
                {{ t('registration:redirectUrl.hint') }}
              </div>
            </label>
          {% if errors.redirectUrl %}
          <span id="redirectUrl-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.redirectUrl }}
            <input
              class="govuk-input govuk-input--error"
              id="redirectUrl"
              name="redirectUrl"
              type="text"
              value="{{redirectUrl}}"
              >
          </span>
          {% else %}
            <input 
              class="govuk-input"
              id="redirectUrl"
              name="redirectUrl"
              type="text"
              value="{{redirectUrl}}"
            >
          {% endif %}
          <div class="accordion">
              <div class="accordion-header" onclick="toggleAccordion(this)">
                {{ t('registration:hint') }}
              </div>
              <div class="accordion-content">
                {{ t('registration:redirectUrl.help.line-1') }}<br />
                {{ t('registration:redirectUrl.help.line-2') }}<br />
                {{ t('registration:redirectUrl.help.line-3') }}<br />
                {{ t('registration:redirectUrl.help.line-4') }}
              </div>
            </div>
        </div>

        <!-- scopes -->
        <div class="form-group-horizontal govuk-form-group {% if errors.scopes %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="scopes">
              {{ t('registration:scopes.label') }}
              <div id="scopes-hint" class="sra-hint">
                {{ t('registration:scopes.hint') }}
              </div>
            </label>
          {% if errors.scopes %}
          <span id="scopes-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.scopes }}
            <input
              class="govuk-input govuk-input--error"
              id="scopes"
              name="scopes"
              type="text"
              value="{{scopes}}"
              >
            </span>
            {% else %}
              <input 
                class="govuk-input"
                id="scopes"
                name="scopes"
                type="text"
                value="{{scopes}}"
                >
            {% endif %}
        </div>

        <!-- claims -->
        <div class="form-group-horizontal govuk-form-group {% if errors.claims %}govuk-form-group--error{% endif %}">     
          <label class="govuk-label" for="claims">
              {{ t('registration:claims.label') }}
              <div id="claims-hint" class="sra-hint">
                {{ t('registration:claims.hint') }}
              </div>
            </label>
          {% if errors.claims %}
            <span id="claims-error" class="govuk-error-message">
            <span class="govuk-visually-hidden">Error:</span> {{ errors.claims }}
            <input
              class="govuk-input govuk-input--error"
              id="claims"
              name="claims"
              type="text"
              value="{{claims}}"
              >
            </span>
          {% else %}
            <input 
              class="govuk-input" 
              id="claims" 
              name="claims" 
              type="text" 
              value="{{claims}}
            ">
          {% endif %}
        </div>

        <br />

        <!-- buttons -->
        <div class="govuk-button-group">
          <span id="left-button">
            <button class="govuk-button" id="btn-clear" type="reset">
              Clear
            </button>
          </span>
          <span id="right-button">
            <button class="govuk-button" id="btn-submit" type="submit">Submit</button>
          </span>
        </div>
      </form>

      </main>
    </div>
    <script src="../app/js/sra.js"></script>
  </body>
</html>
